/***   OUTBOUND.HIS and INBOUND.HIS files ***/

/*** All strings are PASCAL style ***/

#ifndef __MAILHISTHPP
#define __MAILHISTHPP

typedef struct
{
        unsigned short int
                            year,             /*1990 - xxxx*/
                            month,            /*1 - 12*/
                            day,              /*1 - 31*/
                            hour,             /*0 - 23*/
                            min,              /*0 - 59*/
                            sec,              /*0 - 59*/
                            zone,             /*Remote system address*/
                            net,
                            node,
                            point;

         char
                            system_name[31],  /*Remote system name*/
                            city[38];         /*Remote system location*/
         unsigned char
                            task;             /*Task that added the entry*/
         unsigned short int
                            timeonline;       /*Seconds spent on-line*/
         unsigned long
                            rcvd_bytes,       /*Total received bytes*/
                            sent_bytes;       /*Total sent bytes*/
         unsigned short int
                            cost;             /*Cost of session*/
	 }
	 DATAHIST;


#endif
